var t;
(t = getApp()),
  Page({
    data: { isShow: !1, total: { brokerage: 0, withdraw: 0, number: 0 } },
    onLoad: function (t) {},
    onShow: function () {
      var a = this;
      t.util.getUserInfo(function (t) {
        t.memberInfo &&
          (a.setData({ memberInfo: t.memberInfo }),
          wx.setStorageSync("uid", t.memberInfo.uid),
          a.firstin(t.memberInfo));
      });
    },
    firstin: function (a) {
      var e = this;
      t.util.request({
        url: "auth/user/detail",
        data: {
          uid: a.uid
        },
        success: function (t) {
          e.setData({
            detail: t.data.data,
            is_member: t.data.data.user.is_member,
            store_img: t.data.data.user.store_img,
          });
        },
      }),
        t.util.request({
          url: "entry/store/getSaleinfo",
          data: { uid: a.uid },
          success: function (t) {
            e.setData({ total: t.data.data });
          },
        });
    },
    retopublicity: function () {
      wx.navigateTo({ url: "/pages/mine/publicity/index" });
    },
    binding: function () {
      wx.navigateTo({ url: "/pages/mine/tixian/tixian" });
    },
    retocollection: function () {
      wx.navigateTo({ url: "/pages/space/index" });
    },
    onReachBottom: function () {},
  });
